Bug 1191526 - python-dateutil 2.x
Summary: python-dateutil 2.x
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SystemWideChange
Keywords:
Depends On: 1126521
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-11 12:56 UTC by Jaroslav Reznik
Modified: 2015-06-02 19:07 UTC (History)
3 users (show)

(edit)
== python-dateutil 2.4 ==

The python-dateutil module, which provides extensions to the standard datetime module available in Python, has been updated to version 2.4 in Fedora 22.

Previous releases of Fedora provided version 1.5 of this module. Upstream releases immediately following this version only supported Python 3, which meant the Fedora package could not be updated without breaking compatibility. The current version will work with both Python versions.

Separate subpackages are provided for Python 2 and 3: The 'python-dateutil' package should be used for Python 2 applications, and the 'python3-dateutil' package provides support for Python 3.

See the upstream release notes (https://github.com/dateutil/dateutil/blob/master/NEWS) for detailed information about this release. Also see the README file (https://github.com/dateutil/dateutil/blob/master/README.rst) for general information and usage examples.
Clone Of:
(edit)
Last Closed: 2015-06-02 19:07:51 UTC
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-02-11 12:56:03 UTC
This is a tracking bug for Change: python-dateutil 2.x
For more details, see: https://fedoraproject.org//wiki/Changes/python-dateutil_2.x

The package providing `dateutil` python libraries is currently on version 1.5. Early releases in the 2.x series of python-dateutil would work only for python3, so the package was not updated in Fedora. Now, python-dateutil is at version 2.4 and does work with python2. Fedora packages can be updated to use the newer version.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:52 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-02-23 14:30:58 UTC
Changes have been done. I'm marking it as ON_QA.

Comment 3 Pete Travis 2015-04-14 13:50:39 UTC
Looks great, thanks Petr!


Note You need to log in before you can comment on or make changes to this bug.